Jupiter ERP
Account API

List TaskGroups

/api/account/task-groups

GETHTTP
get/api/account/task-groups

Example request

GET https://api.jupiter-erp.com/api/account/task-groups

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/task-groups' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
entity_typequeryyes
entity_idqueryyes
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
entityobject
FieldTypeDescription
idinteger
namestring
entity_idinteger
entity_typestring
id*integer
name*string
orderinginteger
tasks_countinteger
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "ordering": 0,
      "entity_type": "string",
      "entity_id": 0,
      "entity": {
        "id": 0,
        "name": "string"
      }
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
TaskGroups

Questions about integration?

GET /api/account/task-groups · Jupiter ERP